com.sun.grid.jgdi.monitoring

## Class ResourceQuotaRuleInfoImpl

- java.lang.Object
- - com.sun.grid.jgdi.monitoring.ResourceQuotaRuleInfoImpl

- All Implemented Interfaces:
    ResourceQuotaRuleInfo, java.io.Serializable

      public class ResourceQuotaRuleInfoImpl
      extends java.lang.Object
      implements ResourceQuotaRuleInfo, java.io.Serializable

  Objects of this class holds the monitoring information about a cluster limit rule.
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ResourceQuotaRuleInfoImpl()` Create a new limit rule info object
    `ResourceQuotaRuleInfoImpl(java.lang.String resourceQuotaRuleName)` Create a new limit rule info object

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addHost(java.lang.String host)` Add host to limit rule hosts
    `void` | `addLimit(ResourceQuota resourceLimit)` Add resourceLimit to limit rule resourceLimits
    `void` | `addPe(java.lang.String pe)` Add pe to limit rule pes
    `void` | `addProject(java.lang.String project)` Add project to limit rule projects
    `void` | `addQueue(java.lang.String queue)` Add queue to limit rule queues
    `void` | `addUser(java.lang.String user)` Add user to limit rule users
    `void` | `addXHost(java.lang.String host)` Add host to limit rule excluded hosts
    `void` | `addXPe(java.lang.String pe)` Add pe to limit rule excluded pes
    `void` | `addXProject(java.lang.String project)` Add project to limit rule excluded projects
    `void` | `addXQueue(java.lang.String queue)` Add queue to limit rule excluded queues
    `void` | `addXUser(java.lang.String user)` Add user to limit rule excluded users
    `java.util.List<java.lang.String>` | `getHosts()` Get hosts of limit rule
    `java.util.List<ResourceQuota>` | `getLimits()` Get resource limits of limit rule
    `java.util.List<java.lang.String>` | `getPes()` Get PEs of limit rule
    `java.util.List<java.lang.String>` | `getProjects()` Get projects of limit rule
    `java.util.List<java.lang.String>` | `getQueues()` Get Queues of limit rule
    `java.lang.String` | `getResouceQuotaRuleName()` Get the limit rule name
    `java.util.List<java.lang.String>` | `getUsers()` Get users of limit rule
    `java.util.List<java.lang.String>` | `getXHosts()` Get excluded hosts of limit rule
    `java.util.List<java.lang.String>` | `getXPes()` Get excluded PEs of limit rule
    `java.util.List<java.lang.String>` | `getXProjects()` Get excluded projects of limit rule
    `java.util.List<java.lang.String>` | `getXQueues()` Get excluded Queues of limit rule
    `java.util.List<java.lang.String>` | `getXUsers()` Get excluded users of limit rule
    `void` | `setresourceQuotaRuleName(java.lang.String resourceQuotaRuleName)` Set the limit rule name

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ResourceQuotaRuleInfoImpl

          public ResourceQuotaRuleInfoImpl()

      Create a new limit rule info object

    - #### ResourceQuotaRuleInfoImpl

          public ResourceQuotaRuleInfoImpl(java.lang.String resourceQuotaRuleName)

      Create a new limit rule info object
      Parameters:
        `resourceQuotaRuleName` - name of the limit rule

  - ### Method Detail

    - #### getResouceQuotaRuleName

          public java.lang.String getResouceQuotaRuleName()

      Get the limit rule name
      Specified by:
        `getResouceQuotaRuleName` in interface `ResourceQuotaRuleInfo`
      Returns:
        the limit rule name

    - #### setresourceQuotaRuleName

          public void setresourceQuotaRuleName(java.lang.String resourceQuotaRuleName)

      Set the limit rule name
      Parameters:
        `resourceQuotaRuleName` - the limit rule name

    - #### getUsers

          public java.util.List<java.lang.String> getUsers()

      Get users of limit rule
      Specified by:
        `getUsers` in interface `ResourceQuotaRuleInfo`
      Returns:
        list of user names

    - #### addUser

          public void addUser(java.lang.String user)

      Add user to limit rule users
      Parameters:
        `user` - the user

    - #### getProjects

          public java.util.List<java.lang.String> getProjects()

      Get projects of limit rule
      Specified by:
        `getProjects` in interface `ResourceQuotaRuleInfo`
      Returns:
        list of project names

    - #### addProject

          public void addProject(java.lang.String project)

      Add project to limit rule projects
      Parameters:
        `project` - the project

    - #### getPes

          public java.util.List<java.lang.String> getPes()

      Get PEs of limit rule
      Specified by:
        `getPes` in interface `ResourceQuotaRuleInfo`
      Returns:
        list of PE names

    - #### addPe

          public void addPe(java.lang.String pe)

      Add pe to limit rule pes
      Parameters:
        `pe` - the pe

    - #### getQueues

          public java.util.List<java.lang.String> getQueues()

      Get Queues of limit rule
      Specified by:
        `getQueues` in interface `ResourceQuotaRuleInfo`
      Returns:
        list of queue names

    - #### addQueue

          public void addQueue(java.lang.String queue)

      Add queue to limit rule queues
      Parameters:
        `queue` - the queue

    - #### getHosts

          public java.util.List<java.lang.String> getHosts()

      Get hosts of limit rule
      Specified by:
        `getHosts` in interface `ResourceQuotaRuleInfo`
      Returns:
        list of host names

    - #### addHost

          public void addHost(java.lang.String host)

      Add host to limit rule hosts
      Parameters:
        `host` - the host

    - #### getXUsers

          public java.util.List<java.lang.String> getXUsers()

      Get excluded users of limit rule
      Specified by:
        `getXUsers` in interface `ResourceQuotaRuleInfo`
      Returns:
        list of excluded user names

    - #### addXUser

          public void addXUser(java.lang.String user)

      Add user to limit rule excluded users
      Parameters:
        `user` - the user

    - #### getXProjects

          public java.util.List<java.lang.String> getXProjects()

      Get excluded projects of limit rule
      Specified by:
        `getXProjects` in interface `ResourceQuotaRuleInfo`
      Returns:
        list of excluded project names

    - #### addXProject

          public void addXProject(java.lang.String project)

      Add project to limit rule excluded projects
      Parameters:
        `project` - the project

    - #### getXPes

          public java.util.List<java.lang.String> getXPes()

      Get excluded PEs of limit rule
      Specified by:
        `getXPes` in interface `ResourceQuotaRuleInfo`
      Returns:
        list of excluded PE names

    - #### addXPe

          public void addXPe(java.lang.String pe)

      Add pe to limit rule excluded pes
      Parameters:
        `pe` - the pe

    - #### getXQueues

          public java.util.List<java.lang.String> getXQueues()

      Get excluded Queues of limit rule
      Specified by:
        `getXQueues` in interface `ResourceQuotaRuleInfo`
      Returns:
        list of excluded queue names

    - #### addXQueue

          public void addXQueue(java.lang.String queue)

      Add queue to limit rule excluded queues
      Parameters:
        `queue` - the queue

    - #### getXHosts

          public java.util.List<java.lang.String> getXHosts()

      Get excluded hosts of limit rule
      Specified by:
        `getXHosts` in interface `ResourceQuotaRuleInfo`
      Returns:
        list of excluded host names

    - #### addXHost

          public void addXHost(java.lang.String host)

      Add host to limit rule excluded hosts
      Parameters:
        `host` - the host

    - #### getLimits

          public java.util.List<ResourceQuota> getLimits()

      Get resource limits of limit rule
      Specified by:
        `getLimits` in interface `ResourceQuotaRuleInfo`
      Returns:
        list of ResourceLimit objects

    - #### addLimit

          public void addLimit(ResourceQuota resourceLimit)

      Add resourceLimit to limit rule resourceLimits
      Parameters:
        `resourceLimit` - the resourceLimit

Copyright © 2007 Sun Microsystems, Inc. All rights reserved.